<?php
/**
 * SEF module for Joomla!
 * Upgrade definition file.
 *
 * @author      $Author: michal $
 * @copyright   ARTIO s.r.o., http://www.artio.cz
 * @package     JoomSEF
 * @version     $Name$, ($Revision: 4994 $, $Date: 2005-11-03 20:50:05 +0100 (??t, 03 XI 2005) $)
 * @license     Released under the terms of the GNU General Public License
 */

// xml definition
AddFileOp('/administrator/components/com_sef/sef.xml',                      'upgrade', '/sef.xml');

// backend
AddFileOp('/administrator/components/com_sef/admin.sef.html.php',           'upgrade', '/admin.sef.html.php');
AddFileOp('/administrator/components/com_sef/admin.sef.php',                'upgrade', '/admin.sef.php');
AddFileOp('/administrator/components/com_sef/checksum.md5',                 'upgrade', '/checksum.md5');
AddFileOp('/administrator/components/com_sef/install.sef.php',              'upgrade', '/install.sef.php');
AddFileOp('/administrator/components/com_sef/readme.inc.html',              'upgrade', '/readme.inc.html');
AddFileOp('/administrator/components/com_sef/sef.class.php',                'upgrade', '/sef.class.php');
AddFileOp('/administrator/components/com_sef/signature.b64',                'upgrade', '/signature.b64');

// extensions installer
AddFileOp('/administrator/components/com_sef/installer/sefext.class.php',   'upgrade', '/installer/sefext.class.php');
AddFileOp('/administrator/components/com_sef/installer/upgrade.php',        'upgrade', '/installer/upgrade.php');

// frontend
AddFileOp('/components/com_sef/joomsef.php',    'upgrade', '/joomsef.php');
AddFileOp('/components/com_sef/sef.php',        'upgrade', '/sef.php');
AddFileOp('/components/com_sef/sef_ext.php',    'upgrade', '/sef_ext.php');

// free extensions
AddFileOp('/components/com_sef/sef_ext/com_content.php',    'upgrade', '/sef_ext/com_content.php');
AddFileOp('/components/com_sef/sef_ext/com_content.xml',    'upgrade', '/sef_ext/com_content.xml');
AddFileOp('/components/com_sef/sef_ext/com_mtree.php',      'upgrade', '/sef_ext/com_mtree.php');
AddFileOp('/components/com_sef/sef_ext/com_mtree.xml',      'upgrade', '/sef_ext/com_mtree.xml');

// mambot upgrade
AddFileOp('/mambots/system/joomsef_metabot.php',  'upgrade', '/bots/joomsef_metabot.php');
AddFileOp('/mambots/system/joomsef_metabot.xml',  'upgrade', '/bots/joomsef_metabot.xml.tmp');

// content elements upgrade if JoomFish installed
AddFileOp('/administrator/components/com_joomfish/contentelements/sefext.texts.xml', 'upgrade', '/contentelements/sefext.texts.xml');
AddFileOp('/administrator/components/com_joomfish/contentelements/translationJSextensionFilter.php', 'upgrade', '/contentelements/translationJSextensionFilter.php');

// langauge files
AddFileOp('/administrator/components/com_sef/language/czech.php',           'upgrade', '/language/czech.php');
AddFileOp('/administrator/components/com_sef/language/english.php',         'upgrade', '/language/english.php');
AddFileOp('/administrator/components/com_sef/language/french.php',          'upgrade', '/language/french.php');
AddFileOp('/administrator/components/com_sef/language/german-informal.php', 'upgrade', '/language/german-informal.php');
AddFileOp('/administrator/components/com_sef/language/german.php',          'upgrade', '/language/german.php');
AddFileOp('/administrator/components/com_sef/language/italian.php',         'upgrade', '/language/italian.php');
AddFileOp('/administrator/components/com_sef/language/polish.php',          'upgrade', '/language/polish.php');
AddFileOp('/administrator/components/com_sef/language/spanish.php',         'upgrade', '/language/spanish.php');

// Database upgrade
AddSQL('ALTER TABLE `#__sefexts` DROP PRIMARY KEY');
AddSQL('ALTER TABLE `#__sefexts` ADD `id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST');

AddSQL('CREATE TABLE `#__sefexttexts` (`id` int(11) NOT NULL auto_increment, `extension` varchar(100) NOT NULL, `name` varchar(100) NOT NULL, `value` varchar(100) NOT NULL, PRIMARY KEY  (`id`)) TYPE=MyISAM');
AddSQL("INSERT INTO `#__sefexttexts` (`extension`, `name`, `value`) VALUES ".
    "('com_mtree', '_MT_SEF_MYPAGE', 'mypage'), ".
    "('com_mtree', '_MT_SEF_FEATUREDLISTING', 'Featured Listing'), ".
    "('com_mtree', '_MT_SEF_NEWLISTING', 'New Listing'), ".
    "('com_mtree', '_MT_SEF_RECENTLYUPDATED', 'Recently Updated'), ".
    "('com_mtree', '_MT_SEF_MOSTFAVOURED', 'Most Favoured'), ".
    "('com_mtree', '_MT_SEF_POPULARLISTING', 'Popular listing'), ".
    "('com_mtree', '_MT_SEF_MOSTRATEDLISTING', 'Most Rated'), ".
    "('com_mtree', '_MT_SEF_TOPRATEDLISTING', 'Top Rated'), ".
    "('com_mtree', '_MT_SEF_MOSTREVIEWEDLISTING', 'Most Reviewed'), ".
    "('com_mtree', '_MT_SEF_OWNER', 'Owner'), ".
    "('com_mtree', '_MT_SEF_FAVOURITES', 'Favourites'), ".
    "('com_mtree', '_MT_SEF_REVIEWS', 'Reviews'), ".
    "('com_mtree', '_MT_SEF_SEARCH', 'Search'), ".
    "('com_mtree', '_MT_SEF_ADVSEARCH', 'AdvSearch'), ".
    "('com_mtree', '_MT_SEF_ADVSEARCH2', 'AdvSearchR'), ".
    "('com_mtree', '_MT_SEF_IMAGE', 'image'), ".
    "('com_mtree', '_MT_SEF_GALLERY', 'gallery'), ".
    "('com_mtree', '_MT_SEF_REVIEW', 'review'), ".
    "('com_mtree', '_MT_SEF_REPLYREVIEW', 'replyreview'), ".
    "('com_mtree', '_MT_SEF_REPORTREVIEW', 'reportreview'), ".
    "('com_mtree', '_MT_SEF_RATE', 'rate'), ".
    "('com_mtree', '_MT_SEF_RECOMMEND', 'recommend'), ".
    "('com_mtree', '_MT_SEF_CONTACT', 'contact'), ".
    "('com_mtree', '_MT_SEF_REPORT', 'report'), ".
    "('com_mtree', '_MT_SEF_CLAIM', 'claim'), ".
    "('com_mtree', '_MT_SEF_VISIT', 'visit'), ".
    "('com_mtree', '_MT_SEF_DELETE', 'delete'), ".
    "('com_mtree', '_MT_SEF_ADDLISTING', 'Add_Listing'), ".
    "('com_mtree', '_MT_SEF_ADDCATEGORY', 'Add_Category')");

?>
